;mpver 2.00
;mpassmfile blank.asm
;mpcodebase 12 SBEC-J
.org DataOrg


;mpfuelparms 6000,60,55,3.793,.740_Regular,2.2
;mpfuelnone1 14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7
;mpfuelnone2 14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7,14.7
;mpfuelpart1 14.9,14.9,14.9,14.9,14.9,14.9,14.9,14.9,14.9,14.9,14.9,14.9,14.9,13.6,12.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5
;mpfuelpart2 11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5
;mpfuelfull1 13.6,13.6,13.6,13.6,13.6,13.6,13.6,13.6,13.6,13.6,13.6,13.6,13.6,13.6,12.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5
;mpfuelfull2 11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5,11.5

;mpinjsize 22.0
;mpbar 1.0

;
;mprevisionstart
; ***********************************************************************
;
; Revision History
;
; Version .1
; 12/10/16 - initial version! (untested too except to create original image)
;
; ***********************************************************************
;mprevisionend
;

        .msg "Assembling Data Structures..." ; these are just messages to display during assemble to let you know what's going on...

RomBegin:

	.org	0x8000
IDENT1_IDCode_1:
    ;mpgrp Setup\Cal_ID\
    ;mptbladdr 0x0000
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname PNPrefix
    ;mptblcname IDCODE_1
    ;mpxaxis X 0 255 scale
    ;mpyaxis Y 0 255 out
    ;mptbldesc Desc
    .byte 0x11                       ;Point 1

	.org	0x8001
IDENT2_IDCode_2:
    ;mpgrp Setup\Cal_ID\
    ;mptbladdr 0x0001
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname PNPrefix
    ;mptblcname IDCODE_2
    ;mpxaxis X 0 255 scale
    ;mpyaxis Y 0 255 out
    ;mptbldesc Desc
    .byte 0x00                       ;Point 1

	.org	0x8002
ENDIT1_PNPrefix:
    ;mpgrp Setup\Cal_ID\
    ;mptbladdr 0x0002
    ;mptbltype 4
    ;mpsubtype n
    ;mptbllname PNPrefix
    ;mptblcname ENDIT1
    ;mpxaxis X 0 255 scale
    ;mpyaxis Y 0 255 out
    ;mptbldesc Part_Number_prefix._The_1st_4_digits_of_the_Mopar_PN_for_this_ECU.
    .word 0x5602                     ;Point 1

	.org	0x8004
ENDITM_ECUID:
    ;mpgrp Setup\Cal_ID\
    ;mptbladdr 0x0004
    ;mptbltype 4
    ;mpsubtype n
    ;mptbllname ECU_ID
    ;mptblcname ENDITM
    ;mpxaxis X 0 255 in
    ;mpyaxis Y 0 255 out
    ;mptbldesc ECU_ID._This_portion_of_the_PN_is_used_by_scan_tools_to_automatically_ID_the_ECU._This_number_is_different_for_every_computer/cal._The_1st_digit_is_possibly_a_revision_code_of_some_type._Or,_it_may_have_no_meaning_at_all.
    .word 0x7781                     ;Point 1

	.org	0x8006
PARTREV_RevisionLevel:
    ;mpgrp Setup\Cal_ID\
    ;mptbladdr 0x0006
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname Revision_Level
    ;mptblcname PARTREV
    ;mpxaxis X 0 255 in
    ;mpyaxis Y 0 255 out
    ;mptbldesc Description
    .byte 0xA1                       ;Point 1

	.org	0x8007
RFINO3_:
    ;mpgrp Setup\Cal_Configuration\
    ;mptbladdr 0x0007
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname RFINO3
    ;mptblcname RFINO3
    ;mpxaxis X 0 255 in
    ;mpyaxis Y 0 255 out
    ;mptbldesc Description
    .byte 0x56                       ;Point 1

	.org	0x8008
RFINO2_:
    ;mpgrp Setup\Cal_Configuration\
    ;mptbladdr 0x0008
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname RFINO2
    ;mptblcname RFINO2
    ;mpxaxis X 0 255 in
    ;mpyaxis Y 0 255 out
    ;mptbldesc Description
    .byte 0x02                       ;Point 1

	.org	0x8009
RFINO1:
    ;mpgrp Setup\Cal_Configuration\
    ;mptbladdr 0x0009
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname RFINO1
    ;mptblcname RFINO1
    ;mpxaxis X 0 255 in
    ;mpyaxis Y 0 255 out
    ;mptbldesc Description
    .byte 0x77                       ;Point 1

	.org	0x800a
RFINO0_:
    ;mpgrp Setup\Cal_Configuration\
    ;mptbladdr 0x000a
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname RFINO0
    ;mptblcname RFINO0
    ;mpxaxis X 0 255 in
    ;mpyaxis Y 0 255 out
    ;mptbldesc Description
    .byte 0x81                       ;Point 1

	.org	0x800b
RFIREV_RFIRevision:
    ;mpgrp Setup\Cal_Configuration\
    ;mptbladdr 0x000b
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname RFIRevision
    ;mptblcname RFIREV
    ;mpxaxis X 0 255 in
    ;mpyaxis Y 0 255 out
    ;mptbldesc Description
    .byte 0xA1                       ;Point 1

	.org	0x800c
BITSUM_ChecksumValue:
    ;mpgrp Setup\Cal_Configuration\
    ;mptbladdr 0x000c
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname ChecksumValue
    ;mptblcname BITSUM
    ;mpxaxis X 0 255 in
    ;mpyaxis Y 0 255 out
    ;mptbldesc Description
    .byte 0xE8                       ;Point 1

	.org	0x800d
dCODE13_:
    ;mpgrp Setup\Cal_Configuration\
    ;mptbladdr 0x000d
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname CODE13
    ;mptblcname CODE13
    ;mpxaxis X 0 255 in
    ;mpyaxis Y 0 255 out
    ;mptbldesc Description
    .byte 0x8E                       ;Point 1

	.org	0x800e
CODE12_:
    ;mpgrp Setup\Cal_Configuration\
    ;mptbladdr 0x000e
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname CODE12
    ;mptblcname CODE12
    ;mpxaxis X 0 255 in
    ;mpyaxis Y 0 255 out
    ;mptbldesc Description
    .byte 0x1C                       ;Point 1

	.org	0x800f
CODE11_:
    ;mpgrp Setup\Cal_Configuration\
    ;mptbladdr 0x000f
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname CODE11
    ;mptblcname CODE11
    ;mpxaxis X 0 255 in
    ;mpyaxis Y 0 255 out
    ;mptbldesc Description
    .byte 0x84                       ;Point 1

	.org	0x8010
CODE10_:
    ;mpgrp Setup\Cal_Configuration\
    ;mptbladdr 0x0010
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname CODE10
    ;mptblcname CODE10
    ;mpxaxis X 0 255 in
    ;mpyaxis Y 0 255 out
    ;mptbldesc Description
    .byte 0x88                       ;Point 1

	.org	0x8011
XJYJStyle_Model:
    ;mpgrp Setup\XJ_YJ\
    ;mptbladdr 0x0011
    ;mptbltype 4
    ;mpsubtype n
    ;mptbllname ModelType
    ;mptblcname MDLCDE
    ;mpxaxis X 0 255 in
    ;mpyaxis out_desc 0 255 out
    ;mptbldesc The_1st_2_digits_are_the_model_year,_2nd_2_digits_are_the_engine_and_trans_type.
    .word 0x0105                     ;Point 1
    ;mp******************************
    ;mpmodelyr 01 1991_HO
    ;mpmodelyr 02 1992_HO
    ;mpmodelyr 03 1993_HO
    ;mpmodelyr 04 1994_HO
    ;mpmodelyr 05 1995_HO
    ;mp******************************


    ;mpgrp Setup\XJ_YJ\
    ;mptbladdr 0x0013
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname Code
    ;mptblcname CDE
    ;mpxaxis X 0 255 in
    ;mpyaxis Y 0 255 out
    ;mptbldesc Description
    .byte 0x02                       ;Point 1




	.org	0x801f
WOTDLT_DeltaThrottleFrom_MINTHR_ToDetermineFullThrottle:
    ;mpgrp Setup\Throttle_Calibration\
    ;mptbladdr 0x001f
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname DeltaThrottleFrom_MINTHR_ToDetermineFullThrottle
    ;mptblcname WOTDLT
    ;mpxaxis in_desc 0 255 in
    ;mpyaxis out_desc 0 255 out
    ;mptbldesc Detailed_Description
    .byte 0x84                       ;Point 1

	.org	0x8021
MAPMULT_ScaleMAPVoltsToPresMultiplyConst:
    ;mpgrp Setup\Transfer_Functions\
    ;mptbladdr 0x0021
    ;mptbltype 8
    ;mpsubtype 1
    ;mptbllname ScaleMAPVoltsToPresMultiplyConst
    ;mptblcname MAPMULT
    ;mpxaxis IN 0 255 X
    ;mpyaxis OUT 0 255 Y
    ;mptbldesc Map_Scale_multiplier._This_is_the_slope_constant_for_the_MAP_sensor_transfer_function._#07_is_the_original_Mopar_2-bar_constant._#09_for_the_S60_3-bar_sensor._The_GM_or_MSD_3-Bar_sensors_may_need_these_values_changed_for_accuracy.
    ;mpchoices 1.0_Bar 00 1.5_Bar 07 2.0_Bar 00 2.5_Bar 08 3.0_Bar 09 3.5_Bar 09 4.0_Bar 09 4.5_Bar 09
    ;mpmapaxis b
    .byte 0x00                       ;Point 1


	.org	0x8022
MAPADD_ScaleMAPVoltsToPresAddConst:
    ;mpgrp Setup\Transfer_Functions\
    ;mptbladdr 0x0022
    ;mptbltype 8
    ;mpsubtype 1
    ;mptbllname ScaleMAPVoltsToPresAddConst
    ;mptblcname MAPADD
    ;mpxaxis IN 0 255 X
    ;mpyaxis OUT 0 255 Y
    ;mptbldesc Scale_MAP_Volts_to_MAP_add_constant:_This_is_the_offset_constant_for_the_MAP_sensor_transfer_function._#0361_is_the_original_Mopar_2-bar_constant._#0700_for_the_S60_3-bar_sensor._The_GM_or_MSD_3-Bar_sensors_may_need_these_values_changed_for_accuracy.
    ;mpchoices 1.0_Bar 0361 1.5_Bar 0361 2.0_Bar 00 2.5_Bar 0700 3.0_Bar 0700 3.5_Bar 0700 4.0_Bar 0700 4.5_Bar 0700
    ;mpmapaxis w
	.byte	0x00
 




	.org	0x8a51

MAPLOW_MapSensorLowerLimit:
    ;mpgrp Utility\On-Board_Diagnostics\Map_Sensor\
    ;mptbladdr 0x0a51
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname MapSensorLowerLimit
    ;mptblcname MAPLOW
    ;mpxaxis in_desc 0 255 in
    ;mpyaxis out_desc 0 255 out
    ;mptbldesc Detailed_Description
    .byte 0x02                       ;Point 1

	.org	0x8a52
MAPHIG_MapSensorUpperLimit:
    ;mpgrp Utility\On-Board_Diagnostics\Map_Sensor\
    ;mptbladdr 0x0a52
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname MapSensorUpperLimit
    ;mptblcname MAPHIG
    ;mpxaxis in_desc 0 255 in
    ;mpyaxis out_desc 0 255 out
    ;mptbldesc Detailed_Description
    .byte 0xFD                       ;Point 1

MAPMIN_MinimumMAPForFuelCalculation:
    ;mpgrp Setup\Throttle_Calibration\
    ;mptbladdr 0x0a53
    ;mptbltype 3
    ;mpsubtype 1
    ;mptbllname MinimumMAPForFuelCalculation
    ;mptblcname MAPMIN
    ;mpxaxis in_desc 0 255 in
    ;mpyaxis MAP -14.7 0 psi
    ;mptbldesc Desc
    ;mpmapaxis y
    .byte 0x09                       ;Point 1

;;;l;;FIXME
	.org	0x8a54
MAPHI_HiMAP3DInputModifierFromMAP:
    ;mpgrp Setup\Transfer_Functions\
    ;mptbladdr 0x0a54
    ;mptbltype 0
    ;mpsubtype 1
    ;mptbllname HiMAP3DInputModifierFromMAP
    ;mptblcname MAPHI
    ;mpxaxis MAP -14.7 0 psi
    ;mpyaxis MAP -14.7 0 psi
    ;mptbldesc Description
    ;mpmapaxis xy
    .byte 0x03                       ;Number of points in table
    .byte 0x00, 0x00, 0x01, 0x00     ;Point 1
    .byte 0x60, 0x60, 0x01, 0x00     ;Point 2
    .byte 0xFF, 0xFF                 ;Point 3

	.org 0x86e1
L86E1:
    ;mpgrp Setup\Transfer_Functions\
    ;mptbladdr 0x06e1
    ;mptbltype 0
    ;mpsubtype 1
    ;mptbllname WhatIsThisXfer1
    ;mptblcname WHATXFER1
    ;mpxaxis MAP -14.7 0 psi
    ;mpyaxis MAP -14.7 0 psi
    ;mptbldesc Description
    ;mpmapaxis xy
	.byte	4			; number of points
	.byte	0x68, 0x58, 0xfe, 0x80	; point 1
	.byte	0x80, 0x34, 0xff, 0x80	; point 2
	.byte	0xa8, 0x20, 0xff, 0x33	; point 3
	.byte	0xd0, 0x00		; point 4


	.org	0x8083
L8083:
Spark1A_RPMMAP:
    ;mpgrp Spark\
    ;mptbladdr 0x0083
    ;mptbltype 7
    ;mpsubtype n
    ;mptbllname Spark1A_FromRPMAndMAP
    ;mptblcname Spark1A_RPMMAP
    ;mpxaxis RPMSCL 608 5000 rpm
    ;mpyaxis MAPHI 50 150 factor
    ;mptbldesc Spark table 1
    ;mp3dxtable RPMSCL 
    ;mp3dytable MAPHI 
    .byte 0x11                       ;Number of rows in table
    .byte 0x09                       ;Number of cols in table
    .byte 0x00                       ;00 = unsigned, 80/FF = signed
    .byte 0x1C, 0x1C, 0x1C, 0x1C, 0x1C, 0x14, 0x14, 0x14, 0x14 ;Row 1
    .byte 0x1C, 0x1C, 0x1C, 0x1C, 0x1C, 0x1A, 0x1E, 0x18, 0x14 ;Row 2
    .byte 0x1C, 0x1C, 0x1C, 0x1C, 0x1C, 0x1B, 0x1E, 0x18, 0x14 ;Row 3
    .byte 0x1C, 0x1C, 0x1C, 0x1C, 0x1C, 0x2D, 0x20, 0x18, 0x14 ;Row 4
    .byte 0x1C, 0x1C, 0x1C, 0x1C, 0x1C, 0x38, 0x2C, 0x1A, 0x0C ;Row 5
    .byte 0x1C, 0x1C, 0x1C, 0x1C, 0x35, 0x39, 0x2C, 0x1C, 0x0C ;Row 6
    .byte 0x1C, 0x1F, 0x20, 0x38, 0x38, 0x3B, 0x2D, 0x1E, 0x0D ;Row 7
    .byte 0x1C, 0x28, 0x30, 0x3A, 0x3D, 0x3C, 0x30, 0x24, 0x16 ;Row 8
    .byte 0x1C, 0x2E, 0x38, 0x3F, 0x3F, 0x41, 0x38, 0x29, 0x1C ;Row 9
    .byte 0x1C, 0x34, 0x50, 0x4C, 0x40, 0x46, 0x40, 0x2E, 0x23 ;Row 10
    .byte 0x1C, 0x36, 0x5E, 0x55, 0x47, 0x46, 0x40, 0x31, 0x25 ;Row 11
    .byte 0x1C, 0x38, 0x60, 0x58, 0x53, 0x46, 0x40, 0x33, 0x26 ;Row 12
    .byte 0x1C, 0x38, 0x63, 0x5F, 0x4E, 0x48, 0x41, 0x36, 0x26 ;Row 13
    .byte 0x1C, 0x38, 0x5F, 0x52, 0x52, 0x45, 0x3A, 0x2E, 0x2B ;Row 14
    .byte 0x1C, 0x38, 0x5B, 0x4E, 0x4C, 0x44, 0x35, 0x2E, 0x28 ;Row 15
    .byte 0x1C, 0x38, 0x5D, 0x5A, 0x54, 0x3F, 0x3C, 0x31, 0x25 ;Row 16
    .byte 0x1C, 0x38, 0x60, 0x5C, 0x50, 0x3E, 0x42, 0x40, 0x2A ;Row 17

	.org	0x811f
L811F:
Spark1B_RPMMAP:
    ;mpgrp Spark\
    ;mptbladdr 0x011f
    ;mptbltype 7
    ;mpsubtype n
    ;mptbllname Spark1B_FromRPMAndMAP
    ;mptblcname SPARK1B_RPMMAP
    ;mpxaxis RPMSCL 608 5000 rpm
    ;mpyaxis MAPHI 0.8 100 factor
    ;mptbldesc Spark Table Initial or 0x7f if not BPL
    ;mp3dxtable RPMSCL 
    ;mp3dytable MAPHI 
    .byte 0x11                       ;Number of rows in table
    .byte 0x09                       ;Number of cols in table
    .byte 0x00                       ;00 = unsigned, 80/FF = signed
    .byte 0x1C, 0x1C, 0x1C, 0x1C, 0x1C, 0x14, 0x14, 0x14, 0x14 ;Row 1
    .byte 0x1C, 0x1C, 0x1C, 0x1C, 0x1C, 0x1A, 0x1E, 0x18, 0x14 ;Row 2
    .byte 0x1C, 0x1C, 0x1C, 0x1C, 0x1C, 0x1D, 0x1E, 0x18, 0x14 ;Row 3
    .byte 0x1C, 0x1C, 0x1C, 0x1C, 0x30, 0x25, 0x1F, 0x18, 0x18 ;Row 4
    .byte 0x1C, 0x1C, 0x1C, 0x1C, 0x38, 0x36, 0x30, 0x1D, 0x14 ;Row 5
    .byte 0x1C, 0x1C, 0x1C, 0x1C, 0x43, 0x42, 0x33, 0x24, 0x15 ;Row 6
    .byte 0x1C, 0x29, 0x31, 0x31, 0x46, 0x42, 0x37, 0x26, 0x16 ;Row 7
    .byte 0x1C, 0x2B, 0x3B, 0x3C, 0x49, 0x43, 0x3B, 0x2C, 0x18 ;Row 8
    .byte 0x1C, 0x2D, 0x45, 0x4C, 0x4C, 0x44, 0x3F, 0x2F, 0x1B ;Row 9
    .byte 0x1C, 0x30, 0x50, 0x5C, 0x4F, 0x44, 0x41, 0x2E, 0x1F ;Row 10
    .byte 0x1C, 0x38, 0x50, 0x5C, 0x58, 0x54, 0x50, 0x3C, 0x30 ;Row 11
    .byte 0x1C, 0x38, 0x4E, 0x66, 0x60, 0x5E, 0x56, 0x3C, 0x2E ;Row 12
    .byte 0x1C, 0x38, 0x4C, 0x6E, 0x66, 0x60, 0x4A, 0x3C, 0x2D ;Row 13
    .byte 0x1C, 0x38, 0x4A, 0x6C, 0x64, 0x4E, 0x44, 0x40, 0x2A ;Row 14
    .byte 0x1C, 0x38, 0x4A, 0x5C, 0x4A, 0x44, 0x3E, 0x34, 0x22 ;Row 15
    .byte 0x1C, 0x38, 0x40, 0x5C, 0x48, 0x42, 0x3E, 0x34, 0x20 ;Row 16
    .byte 0x1C, 0x38, 0x40, 0x56, 0x4C, 0x44, 0x3C, 0x34, 0x28 ;Row 17


	.org	0x81bc
L81BC:
Spark2_RPMMAP:
    ;mpgrp Spark\
    ;mptbladdr 0x01BC
    ;mptbltype 7
    ;mpsubtype n
    ;mptbllname Spark2_FromRPMandMAP
    ;mptblcname Spark2_RPMMAP
    ;mpxaxis RPMSCL 608 5000 rpm
    ;mpyaxis MAPHI 0.8 100 factor
    ;mptbldesc Spark Table Initial or 0x7f if not BPL
    ;mp3dxtable RPMSCL 
    ;mp3dytable MAPHI 
    .byte 0x11                       ;Number of rows in table
    .byte 0x09                       ;Number of cols in table
    .byte 0x00                       ;00 = unsigned, 80/FF = signed
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 1
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 2
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 3
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 4
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 5
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 6
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 7
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 8
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 9
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 10
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 11
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 12
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 13
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 14
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 15
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 16
    .byte 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 ;Row 17





	.org	0x82b3
L82B3:
CLDLDP_ColdLoad3DTableOffIdle:
    ;mpgrp Fuel\
    ;mptbladdr 0x02b3
    ;mptbltype 7
    ;mpsubtype n
    ;mptbllname ColdLoad3DTableOffIdle
    ;mptblcname COLDLD
    ;mpxaxis RPMSCL 608 5000 rpm
    ;mpyaxis MAPHI 0.8 100 factor
    ;mptbldesc FuelFromRPMandMap?
    ;mp3dxtable RPMSCL 
    ;mp3dytable MAPHI 
    .byte 0x11                       ;Number of rows in table
    .byte 0x09                       ;Number of cols in table
    .byte 0x00                       ;00 = unsigned, 80/FF = signed
    .byte 0x46, 0x30, 0x30, 0x2D, 0x30, 0x34, 0x3B, 0x40, 0x53 ;Row 1
    .byte 0x46, 0x30, 0x23, 0x23, 0x30, 0x34, 0x3B, 0x40, 0x53 ;Row 2
    .byte 0x52, 0x42, 0x33, 0x33, 0x37, 0x3D, 0x3E, 0x45, 0x59 ;Row 3
    .byte 0x59, 0x4B, 0x44, 0x44, 0x42, 0x44, 0x48, 0x4F, 0x68 ;Row 4
    .byte 0x6F, 0x50, 0x4B, 0x52, 0x52, 0x55, 0x5B, 0x65, 0x73 ;Row 5
    .byte 0x78, 0x62, 0x50, 0x52, 0x58, 0x59, 0x5E, 0x69, 0x79 ;Row 6
    .byte 0x81, 0x62, 0x4F, 0x4F, 0x5C, 0x64, 0x71, 0x78, 0x8A ;Row 7
    .byte 0x8A, 0x5C, 0x4C, 0x4F, 0x5D, 0x67, 0x74, 0x7E, 0x88 ;Row 8
    .byte 0x93, 0x60, 0x4F, 0x4C, 0x60, 0x6A, 0x74, 0x84, 0x90 ;Row 9
    .byte 0xD0, 0x78, 0x6E, 0x69, 0x80, 0x82, 0x84, 0x88, 0x88 ;Row 10
    .byte 0xF0, 0xCA, 0xA7, 0x9A, 0x92, 0x92, 0x92, 0x8E, 0x8E ;Row 11
    .byte 0xFF, 0xEF, 0xBD, 0xA6, 0xA0, 0xA0, 0xA0, 0x9E, 0x9E ;Row 12
    .byte 0xFF, 0xEF, 0xB8, 0xB1, 0xA6, 0xA0, 0x9C, 0x97, 0x97 ;Row 13
    .byte 0xFF, 0xFF, 0xE2, 0xC1, 0xA2, 0x98, 0x90, 0xA0, 0xC0 ;Row 14
    .byte 0xFF, 0xFF, 0xF4, 0xCB, 0xA0, 0xAA, 0xAC, 0xCE, 0xF0 ;Row 15
    .byte 0xFF, 0xFF, 0x80, 0x90, 0xA4, 0xBC, 0xC8, 0xE8, 0xFF ;Row 16
    .byte 0xC0, 0xC0, 0xA0, 0x94, 0x9E, 0xB0, 0xC3, 0xCC, 0xFF ;Row 17

	.org	0x834F
L834F:
HTLDP_HotLoad3DTableOffIdle:
    ;mpgrp Fuel\
    ;mptbladdr 0x034f
    ;mptbltype 7
    ;mpsubtype n
    ;mptbllname HotLoad3DTableOffIdle
    ;mptblcname HOTLD
    ;mpxaxis RPMSCL 608 5000 rpm
    ;mpyaxis MAPHI 0.8 100 factor
    ;mptbldesc FuelFromRPMandMap?
    ;mp3dxtable RPMSCL 
    ;mp3dytable MAPHI 
    .byte 0x11                       ;Number of rows in table
    .byte 0x09                       ;Number of cols in table
    .byte 0x00                       ;00 = unsigned, 80/FF = signed
    .byte 0x38, 0x32, 0x2f, 0x2f, 0x2f, 0x3e, 0x43, 0x65, 0x6e ;Row 1
    .byte 0x4c, 0x4d, 0x3c, 0x39, 0x38, 0x47, 0x4e, 0x6e, 0x79 ;Row 2
    .byte 0x61, 0x69, 0x49, 0x43, 0x40, 0x50, 0x59, 0x76, 0x85 ;Row 3
    .byte 0x77, 0x6e, 0x51, 0x4c, 0x4a, 0x60, 0x66, 0x7d, 0x84 ;Row 4
    .byte 0x8e, 0x74, 0x5a, 0x56, 0x54, 0x70, 0x73, 0x84, 0x83 ;Row 5
    .byte 0xa2, 0x85, 0x65, 0x65, 0x62, 0x71, 0x74, 0x87, 0x88 ;Row 6
    .byte 0xb6, 0x96, 0x70, 0x73, 0x70, 0x71, 0x74, 0x89, 0x8d ;Row 7
    .byte 0xbe, 0x99, 0x78, 0x76, 0x74, 0x72, 0x78, 0x8c, 0x8b ;Row 8
    .byte 0xb6, 0x90, 0x74, 0x6d, 0x72, 0x73, 0x77, 0x8e, 0x92 ;Row 9
    .byte 0xb1, 0x8d, 0x67, 0x65, 0x6b, 0x70, 0x77, 0x91, 0x90 ;Row 10
    .byte 0xFf, 0xCb, 0x80, 0x7e, 0x7e, 0x7f, 0x80, 0x95, 0x89 ;Row 11
    .byte 0xFF, 0xF9, 0xa7, 0x96, 0x8c, 0x8c, 0x84, 0x91, 0x99 ;Row 12
    .byte 0xFF, 0xff, 0xcd, 0xB2, 0xA5, 0x97, 0x94, 0xa5, 0xa4 ;Row 13
    .byte 0xFF, 0xFF, 0xc2, 0xac, 0xA2, 0x9f, 0x95, 0xAe, 0xab ;Row 14
    .byte 0xFF, 0xFF, 0xc3, 0xaf, 0xA4, 0xA4, 0xA6, 0xbd, 0xb0 ;Row 15
    .byte 0xFF, 0xFF, 0xc7, 0xb3, 0xA3, 0xa5, 0xa2, 0xbb, 0xb2 ;Row 16
    .byte 0xff, 0xff, 0xd4, 0xb8, 0xa4, 0xac, 0xac, 0xC9, 0xbF ;Row 17





	.org 0x8053
RPMSCL_RPM3DInputModifierFromRPM:
    ;mpgrp Setup\Transfer_Functions\
    ;mptbladdr 0x0053
    ;mptbltype 0
    ;mpsubtype n
    ;mptbllname RPM3DInputModifierFromRPM
    ;mptblcname RPMSCL
    ;mpxaxis RPM 0 8192 rpm
    ;mpyaxis OUT 0 255 Y
    ;mptbldesc Output_is_used_as_the_input_to_the_3D_tables
    .byte 0x06                       ;Number of points in table
    .byte 0x10, 0x00, 0x02, 0xAB     ;Point 1
    .byte 0x16, 0x10, 0x04, 0xEC     ;Point 2
    .byte 0x23, 0x50, 0x04, 0x00     ;Point 3
    .byte 0x27, 0x60, 0x02, 0x0D     ;Point 4
    .byte 0x4E, 0xB0, 0x01, 0x03     ;Point 5
    .byte 0x9C, 0xFF                 ;Point 6


	.org	0x84f9
L84F9:
    ;mpgrp Fuel\O2_Sensor\
    ;mptbladdr 0x04f9
    ;mptbltype 7
    ;mpsubtype n
    ;mptbllname O2_Sens_Low
    ;mptblcname O2SENS_LOW
    ;mpxaxis RPMSCL 608 5000 rpm
    ;mpyaxis MAPHI 0 5 volts
    ;mptbldesc O2 Sensor low volt map
    ;mp3dxtable RPMSCL 
    ;mp3dytable MAPHI 
	.byte	5			; Number of rows in table
	.byte	9			; Number of columns in table
	.byte	0x0			; 00 = unsigned, FF = signed
	.byte	0x16, 0x16, 0x16, 0x16, 0x16, 0x16, 0x16, 0x16, 0x16	; Row 1
	.byte	0x16, 0x16, 0x16, 0x16, 0x16, 0x16, 0x16, 0x16, 0x16	; Row 2
	.byte	0x16, 0x16, 0x17, 0x17, 0x17, 0x16, 0x16, 0x16, 0x16	; Row 3
	.byte	0x16, 0x16, 0x16, 0x16, 0x16, 0x16, 0x16, 0x16, 0x16	; Row 4
	.byte	0x16, 0x16, 0x16, 0x16, 0x16, 0x16, 0x16, 0x16, 0x16	; Row 5

	.org	0x8595
L8595:
    ;mpgrp Fuel\O2_Sensor\
    ;mptbladdr 0x0595
    ;mptbltype 7
    ;mpsubtype n
    ;mptbllname O2_Sens_Hi
    ;mptblcname o2SENS_HI
    ;mpxaxis RPMSCL 608 5000 rpm
    ;mpyaxis MAPHI 0 5 volts
    ;mptbldesc O2 Sensor high volt map
    ;mp3dxtable RPMSCL 
    ;mp3dytable MAPHI 

	.byte	5			; Number of rows in table
	.byte	9			; Number of columns in table
	.byte	0x0			; 00 = unsigned, FF = signed
	.byte	0x1c, 0x1c, 0x1c, 0x1c, 0x1c, 0x1c, 0x1c, 0x1e, 0x1e	; Row 1
	.byte	0x1c, 0x1c, 0x1e, 0x1f, 0x1f, 0x1f, 0x1f, 0x1f, 0x1f	; Row 2
	.byte	0x1e, 0x1e, 0x1f, 0x1f, 0x1f, 0x1f, 0x20, 0x21, 0x21	; Row 3
	.byte	0x1e, 0x1e, 0x20, 0x20, 0x20, 0x20, 0x21, 0x22, 0x22	; Row 4
	.byte	0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22, 0x22	; Row 5



;;;;;;;;;;;;;;;;;;;;FIXME
	.org	0x87b0
BARODC_AISDecel_FromBaro:
    ;mpgrp Idle\AIS_Decel\
    ;mptbladdr 0x07b0
    ;mptbltype 0
    ;mpsubtype n
    ;mptbllname DecelAis_FromBARO
    ;mptblcname BARODC
    ;mpxaxis Baro -14.7 0 psi
    ;mpyaxis out_desc 0 255 scale
    ;mptbldesc Detailed_Description	
	.byte	3			; number of points
	.byte	0x9a, 0xdc, 0x00, 0x6f	; point 1
	.byte	0xc8, 0xf0, 0x00, 0x66	; point 2
	.byte	0xf0, 0x00		; point 3

	.org	0x87c3
TIMEDC_AISDecelBaseAirflowCurveOffset:
    ;mpgrp Idle\AIS_Decel\
    ;mptbladdr 0x07c3
    ;mptbltype 0
    ;mpsubtype n
    ;mptbllname DecelAisBaseAirflowCurveOffset_FromTime
    ;mptblcname TIMEDC
    ;mpxaxis in_desc 0 255 scale
    ;mpyaxis Time 0 720 sec
    ;mptbldesc Detailed_Description
	.byte	2			; number of points
	.byte	0x0b, 0x00, 0x00, 0x00	; point 1
	.byte	0x1b, 0x00		; point 2

	.org	0x87ce
TEMPDC_AISDecel_FromTemp:
    ;mpgrp Idle\AIS_Decel\
    ;mptbladdr 0x07ce
    ;mptbltype 0
    ;mpsubtype n
    ;mptbllname DecelAis_FromTemp
    ;mptblcname TEMPDC
    ;mpxaxis Temp -200 260 degrees
    ;mpyaxis out_desc 0 255 scale
    ;mptbldesc Detailed_Descriptionmap
	.byte	5			; number of points
	.byte	0x68, 0x36, 0xff, 0xab	; point 1
	.byte	0x80, 0x2e, 0xff, 0x8b	; point 2
	.byte	0xb0, 0x18, 0xff, 0x8e	; point 3
	.byte	0xd4, 0x08, 0xfe, 0x00	; point 4
	.byte	0xd8, 0x00		; point 5

	.org	0x87e1
MAPFLR_AISAdditionToControlMap:
    ;mpgrp Idle\AIS_Decel\
    ;mptbladdr 0x07e1
    ;mptbltype 0
    ;mpsubtype n
    ;mptbllname AdditionToControlMap_FromRpm
    ;mptblcname MAPFLR
    ;mpxaxis RPM 0 8192 rpm
    ;mpyaxis out_desc 0 255 scale
    ;mptbldesc AIS_Decel_Addition_to_control_MAP_vs._RPM
	.byte	4			; number of points
	.byte	0x19, 0x00, 0x00, 0x00	; point 1
	.byte	0x1f, 0x00, 0x00, 0x00	; point 2
	.byte	0x26, 0x00, 0x00, 0x00	; point 3
	.byte	0x70, 0x00		; point 4

	.org	0x87f0
BARFLR_OffsetCorrectionTo_MAPFLR_FromBaro:
    ;mpgrp Idle\AIS_Decel\
    ;mptbladdr 0x07f0
    ;mptbltype 0
    ;mpsubtype 1
    ;mptbllname OffsetCorrectionTo_MAPFLR_FromBaro
    ;mptblcname BARFLR
    ;mpxaxis Baro -14.7 0 psi
    ;mpyaxis out_desc 0 255 scale
    ;mptbldesc AIS_Decel_Offset_correction_due_to_baro_effect
    ;mpmapaxis x

	.byte	3			; number of points
	.byte	0x9a, 0x00, 0x00, 0x00	; point 1
	.byte	0xc8, 0x00, 0x00, 0x00	; point 2
	.byte	0xf0, 0x00		; point 3

	.org	0x87fb
MPTEMP_TempTermForMapOffset_FromTemp:
	.byte	2			; number of points
	.byte	0x90, 0xff, 0x00, 0x00	; point 1
	.byte	0xc7, 0xff		; point 2

	.org	0x8825
DATHOT_EngineTempToStartCalibratingDacal:
    ;mpgrp Idle\AIS_Decel\
    ;mptbladdr 0x0825
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname EngineTempToStartCalibratingDacal
    ;mptblcname DATHOT
    ;mpxaxis in_desc 0 255 in
    ;mpyaxis Coolant_Temp -200 260 Deg
    ;mptbldesc Detailed_Description

	.byte	0xd6

	.org	0x8826
DADRPM_DeltaRpmFromIdleSpeedForDacalUpdate:
    ;mpgrp Idle\AIS_Decel\
    ;mptbladdr 0x0826
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname DeltaRpmFromIdleSpeedForDacalUpdate
    ;mptblcname DADRPM
    ;mpxaxis in_desc 0 255 in
    ;mpyaxis out_desc 0 255 out
    ;mptbldesc Detailed_Description
	.byte	0x02


	.org	0x8829
DANOM_Base_nominalCal:
    ;mpgrp Idle\AIS_Decel\
    ;mptbladdr 0x0829
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname Base_nominalCal
    ;mptblcname DANOM
    ;mpxaxis in_desc 0 255 in
    ;mpyaxis out_desc 0 255 out
    ;mptbldesc Detailed_Description
    .byte 0x10                       ;Point 1
	.byte	0x00

	.org	0x882a
DCALTM_DacalInhibitTimeAfterStartup:
    ;mpgrp Idle\AIS_Decel\
    ;mptbladdr 0x082a
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname DacalInhibitTimeAfterStartup
    ;mptblcname DCALTM
    ;mpxaxis in_desc 0 255 in
    ;mpyaxis out_desc 0 255 out
    ;mptbldesc Detailed_Description
	.byte	0x10


	.org	0xe41d
TMPTL1_TempForColdScaleA2D:
    ;mpgrp Setup\Transfer_Functions\
    ;mptbladdr 0x641d
    ;mptbltype 0
    ;mpsubtype n
    ;mptbllname TempForColdScaleFromA2D
    ;mptblcname TMPTL1
    ;mpxaxis raw 0 255 scale
    ;mpyaxis Coolant_Temperature -200 260 F
    ;mptbldesc Detailed_Description
    .byte 0x07                       ;Number of points in table
    .byte 0x00, 0xD3, 0xFF, 0x85     ;Point 1
    .byte 0x53, 0xAB, 0xFF, 0x9D     ;Point 2
    .byte 0xD7, 0x78, 0xFF, 0x55     ;Point 3
    .byte 0xE6, 0x6E, 0xFF, 0x17     ;Point 4
    .byte 0xF1, 0x64, 0xFE, 0xCD     ;Point 5
    .byte 0xF6, 0x5E, 0xFD, 0xAB     ;Point 6
    .byte 0xFF, 0x49

	.org	0xe438
TMPTL2_TempForHotScaleA2D:
    ;mpgrp Setup\Transfer_Functions\
    ;mptbladdr 0x6438
    ;mptbltype 0
    ;mpsubtype n
    ;mptbllname TempForHotScaleA2D
    ;mptblcname TMPTL2
    ;mpxaxis raw 0 255 scale
    ;mpyaxis Coolant_Temperature -200 260 F
    ;mptbldesc Detailed_Description
    .byte 0x04                       ;Number of points in table
    .byte 0x42, 0xFF, 0xFF, 0x55     ;Point 1
    .byte 0x57, 0xF1, 0xFF, 0x75     ;Point 2
    .byte 0xC5, 0xB5, 0xFF, 0x4F     ;Point 3
    .byte 0xFF, 0x8D                 ;Point 4

	.org	0xe447
CTSSCL_ScaleCoolantTemp:
    ;mpgrp Setup\Transfer_Functions\
    ;mptbladdr 0x6447
    ;mptbltype 0
    ;mpsubtype n
    ;mptbllname CTSSCL_ScaleCoolantTemp
    ;mptblcname CTSSCL
    ;mpxaxis raw 0 255 scale
    ;mpyaxis Coolant_Temperature -200 260 F
    ;mptbldesc Detailed_Description
    .byte 0x09                       ;Number of points in table
    .byte 0x58, 0x00, 0x01, 0x86     ;Point 1
    .byte 0x6d, 0x20, 0x01, 0x86     ;Point 2
    .byte 0x82, 0x40, 0x01, 0x86     ;Point 3
    .byte 0x97, 0x60, 0x01, 0x86     ;Point 4
    .byte 0xac, 0x80, 0x01, 0x86     ;Point 5
    .byte 0xC1, 0xa0, 0x01, 0x86     ;Point 6
    .byte 0xd6, 0xc0, 0x01, 0x86     ;Point 7
    .byte 0xeb, 0xe0, 0x01, 0x8c     ;Point 8
    .byte 0xFF, 0xff                 ;Point 9

	.org	0xe488
CHGSCL_ScaleCoolantTemp:
    ;mpgrp Setup\Transfer_Functions\
    ;mptbladdr 0x6488
    ;mptbltype 0
    ;mpsubtype n
    ;mptbllname CHGSCL_ScaleCoolantTemp
    ;mptblcname CHGSCL
    ;mpxaxis raw 0 255 scale
    ;mpyaxis Coolant_Temperature -200 260 F
    ;mptbldesc Detailed_Description
    .byte 0x09                       ;Number of points in table
    .byte 0x58, 0x00, 0x01, 0x99     ;Point 1
    .byte 0x6c, 0x20, 0x01, 0x99     ;Point 2
    .byte 0x80, 0x40, 0x01, 0x99     ;Point 3
    .byte 0x94, 0x60, 0x01, 0x99     ;Point 4
    .byte 0xa8, 0x80, 0x01, 0x99     ;Point 5
    .byte 0xbc, 0xa0, 0x01, 0x99     ;Point 6
    .byte 0xd0, 0xc0, 0x01, 0x99     ;Point 7
    .byte 0xe4, 0xe0, 0x01, 0x8c     ;Point 8
    .byte 0xF8, 0xff                 ;Point 9

	.org	0x845b
L845b:
    ;mpgrp Fuel\
    ;mptbladdr 0x045b
    ;mptbltype 0
    ;mpsubtype n
    ;mptbllname L00FD_LKUP
    ;mptblcname L00FD_LKUP
    ;mpxaxis raw 0 255 scale
    ;mpyaxis raw 0 255 F
    ;mptbldesc Detailed_Description
    .byte 0x04                       ;Number of points in table
    .byte 0x0c, 0x00, 0x02, 0x80     ;Point 1
    .byte 0x18, 0x1e, 0x01, 0xd5     ;Point 2
    .byte 0x24, 0x34, 0x0c, 0xab     ;Point 3
    .byte 0x2a, 0x80		     ;Point 4

	.org	0x84da
L84da:
    ;mpgrp Fuel\
    ;mptbladdr 0x04da
    ;mptbltype 0
    ;mpsubtype n
    ;mptbllname L04DA_LKUP
    ;mptblcname L04DA_LKUP
    ;mpxaxis raw 0 255 scale
    ;mpyaxis raw 0 255 F
    ;mptbldesc Detailed_Description
    .byte 0x05                       ;Number of points in table
    .byte 0x16, 0x00, 0x04, 0x92     ;Point 1
    .byte 0x24, 0x40, 0x05, 0xd1     ;Point 2
    .byte 0x2f, 0x80, 0x04, 0x00     ;Point 3
    .byte 0x3f, 0xc0, 0x04, 0x33     ;Point 4
    .byte 0x4e, 0xff		     ;Point 5

	.org	0x8900
MAXSET_CruiseControlMaxSetSpeedTimesTwo:
    ;mpgrp Utility\Cruise_Control\
    ;mptbladdr 0x0900
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname CruiseControlMaxSetSpeedTimesTwo
    ;mptblcname MAXSET
    ;mpxaxis in_desc 0 255 in
    ;mpyaxis Speed 0 128 MPH
    ;mptbldesc Detailed_Description
    .byte 0xAA                       ;Point 1

	.org	0x8901
MINSET_CruiseControlMinSetSpeedTimesTwo:
    ;mpgrp Utility\Cruise_Control\
    ;mptbladdr 0x0900
    ;mptbltype 3
    ;mpsubtype n
    ;mptbllname CruiseControlMinSetSpeedTimesTwo
    ;mptblcname MINSET
    ;mpxaxis in_desc 0 255 in
    ;mpyaxis Speed 0 128 MPH
    ;mptbldesc Detailed_Description
    .byte 0x46                       ;Point 1

;;undefined data;;
	.org	0x8a31
CTSHIG_CoolantTempOutOfRangeHigh:
	.byte	0x1a

	.org	0x8a32
CTSLOW_CoolantTempOutOfRangeLow:
	.byte	0xfd

	.org	0x8a33
DEFCTS_DefaultCoolantTempRaw:
	.byte	0xa8

	.org	0x8a34
CHGHIG_ChargeTempOutOfRangeHigh:
	.byte	0x1a

	.org	0x8a35
CHGLOW_ChargeTempOutOfRangeLow:
	.byte	0xfd

	.org	0x8a36
DEFCHG_DefaultChargeTempRaw:
	.byte	0xa8

	.org	0x8a38
BTLRPM_LowBatteryVoltageAtThisRpm1500:
	.byte	0x2e,0xe0

	.org	0x8a45
THRLOW_ThrottleLowerLimit:
	.byte	0x08

	.org	0x8a46
THRHIG_ThrottleUpperLimit:
	.byte	0xf0

	.org	0x8a70
BAROSW_CheckMapAtZeroSpeedAndThisBaroSwitch:
	.byte	0x21,0x10

	.org	0x8a72
LMPINN_LimpinTableForMapFromThrottle:
	.byte	5			; number of points
	.byte	0x00, 0x00, 0x07, 0x11	; point 1
	.byte	0x0f, 0x6a, 0x07, 0x6e	; point 2
	.byte	0x16, 0x9e, 0x00, 0xa0	; point 3
	.byte	0x36, 0xb2, 0x01, 0xe0	; point 4
	.byte	0x46, 0xd0		; point 5

	.org	0x8a85
MPLMOF_OffsetForCalcMapInMapLimpin:
	.byte	0x14

	.org	0x8a86
THROFF_OffsetAddedToCalcThrottle:
	.byte	0x0f

	.org	0x8a2b
TDAGTP_TstatDiagnosticsTemperatureGoalWithin_HOTIME:
	.byte	0xcf
	.org	0x8a2d
HOTIME_TstatDiagnosticsTimeToAchieveTemperatureGoal:
	.byte	0xaa

	.org	0x8646
TPSAverageFactors1:
	.word	0x18c0

	.org	0x863f
TPSVoltsAverageFactors1:
	.word	0x20ff

	.org	0x8641
MapAverageFactors1:
	.word	0x0e04

	.org	0x863b
MapVoltsAverageFactors2:
	.word	0x0a08

	.org	0x84ca
MapAverageFactors2:
	.word	0x7e40

	.org	0x84c1
RPMAverageFactors1:
	.word	0x2020


	.org	0x8015
CONF01_:
	.byte	0x41

	.org	0x8016
CONF02_:
	.byte	0x22

	.org	0x8017
CONF03_:
	.byte	0x03

	.org	0x8018
L8018:
	.word	0x1002

	.org	0x801a
L801A:
	.byte	0x01 ; Fill word list to even length

	.org	0x801b
L801B:
	.word	0x3926

	.org	0x801d
L801D:
	.byte	0x4c ; Fill word list to even length

	.org	0x801e
L801E:
	.byte	0x05	; Fill word list to even length

	.org	0x8023
	.byte	0x00,0x05,0x00,0x00,0x00,0x19,0x1f
	.byte	0x03,0x00,0x08,0x3e,0x04,0x00,0x20,0x5e
	.byte	0x08,0x00,0x32,0x9c,0x14

	.org	0x8037
L8037:
	.word	0x9005, 0x0fa0, 0x1450, 0x1770
	.word	0x4e20, 0x5dc0, 0x6d60, 0x7d00
	.word	0xab16, 0x1004, 0xec23, 0x5004
	.word	0x039c, 0xffff, 0xffff

	.org	0x8072
L8072:
	.word	0x0262

	.org	0x8074
L8074:
	.word	0x5a00

	.org	0x8076
L8076:
	.word	0x0002

	.org	0x8078
L8078:
	.word	0x625a

	.org	0x807a
L807A:
	.word	0x37cd

	.org	0x807c
L807C:
	.word	0x4e20

	.org	0x807e
L807E:
	.word	0x0014

      .msg "Data Structures Complete..." ; these are just messages to display during assemble to let you know what's going on...
